polybori::groebner::GroebnerOptions Class Reference

This class defines options settings for `GroebnerStrategy`. More...

`#include <GroebnerOptions.h>`

Inheritance diagram for polybori::groebner::GroebnerOptions:

## Public Member Functions

| GroebnerOptions (bool redTailInLastBlock=false, bool lazy=false)
| Constructor with default settings. More...

## Public Attributes

bool | optRedTailInLastBlock
bool | optLazy
std::string | matrixPrefix
bool | optDrawMatrices
bool | optModifiedLinearAlgebra
bool | optDelayNonMinimals
bool | enabledLog
bool | optExchange
bool | optHFE
bool | optStepBounded
bool | optAllowRecursion
bool | optLinearAlgebraInLastBlock
bool | reduceByTailReduced

## Detailed Description

This class defines options settings for `GroebnerStrategy`.

Note
  : For most option values we give fixed defaults, but `optRedTailInLastBlock` and `optLazy` are problem dependent.

## Constructor & Destructor Documentation

polybori::groebner::GroebnerOptions::GroebnerOptions | ( | bool | redTailInLastBlock = `false`,
|  | bool | lazy = `false`
| ) |  |

inline

Constructor with default settings.

## Member Data Documentation

bool polybori::groebner::GroebnerOptions::enabledLog

std::string polybori::groebner::GroebnerOptions::matrixPrefix

bool polybori::groebner::GroebnerOptions::optAllowRecursion

Referenced by polybori::groebner::GroebnerStrategy::addGeneratorTrySplit().

bool polybori::groebner::GroebnerOptions::optDelayNonMinimals

Referenced by polybori::groebner::GroebnerStrategy::addAsYouWish().

bool polybori::groebner::GroebnerOptions::optDrawMatrices

bool polybori::groebner::GroebnerOptions::optExchange

Referenced by polybori::groebner::parallel_reduce().

bool polybori::groebner::GroebnerOptions::optHFE

bool polybori::groebner::GroebnerOptions::optLazy

Referenced by polybori::groebner::parallel_reduce().

bool polybori::groebner::GroebnerOptions::optLinearAlgebraInLastBlock

Referenced by polybori::groebner::parallel_reduce().

bool polybori::groebner::GroebnerOptions::optModifiedLinearAlgebra

bool polybori::groebner::GroebnerOptions::optRedTailInLastBlock

Referenced by polybori::groebner::GroebnerStrategy::addAsYouWish().

bool polybori::groebner::GroebnerOptions::optStepBounded

Referenced by polybori::groebner::parallel_reduce().

bool polybori::groebner::GroebnerOptions::reduceByTailReduced

The documentation for this class was generated from the following file:

- GroebnerOptions.h